Subject: [perpass] Standards in the age of pervasive suspicion Re: NSA inspired PKIX limitations?

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 21 Oct 2013 16:21:26 -0400

On Mon, Oct 21, 2013 at 12:12 PM, Stephen Kent <[email-masked]> wrote:

>  PHB,
>
>
>  There are a bunch of changes to PKIX that were blocked for quite some
> time. The opposition coming from a cabal of DoD etc. contractors. This
> opposition has proven ultimately futile since the industry has decided to
> ignore the specification and set its own standards in two cases.
>
> A cabal? Gee do member have secret handshakes and a secret clubhouse? That
> sounds like fun. Can I join? Oh, you'r saying that I *am* a member!
>

One of the issues that has been raised in the government world is how do we
convince people looking in that the IETF spec have not been contaminated by
some of the alleged $250 mil/yr being spent on such purposes.

This is not a theoretical problem or even a new one, but it is one that has
been ignored in the past and is now going to be very much harder to ignore.

Whether we like it or not, this is now part of the distrust landscape we
have to deal with when designing technical solutions. If people want
technologies like DNSSEC/DANE or RPKI to be deployed in practice they are
going to have to answer the difficult questions about how cryptography is
used to concentrate power over the Internet infrastructure by a very narrow
range of institutions, most of which are ultimately under US govt. control.

Now you can dismiss the conspiracy theories as nonsense but these are now
conspiracy theories which are believed by the heads of government in some
very large and significant countries. Countries that have the ability to
decide Internet standards within their borders for themselves if they
choose. So anyone who is proposing to deploy cryptographic infrastructures
who does not take these issues into account is likely wasting their time at
best or may at worse provoke those governments to fracture the Internet
rather than allow entrenchment of existing powers.

If we try to look at the situation from their point of view, what do we see?

On past vulnerabilities, it would seem that the NSA has delivered a paltry
return if very much of that $250mil was spent on subverting standards. At
best they have one borked random number generator that Ferguson spotted was
bjorked back in 2007 and Bruce blogged on, a couple of PKIX holes that they
maybe helped keep open. Thats hardly a return on investment to be proud of.

Another hypothesis is that much of that money was spent for the purposes it
should have been spent on - protecting US cyber infrastructure from attack
i.e. cyberdefense but that the expenditures were written up as cyber attack
because that is what was prized during the Alexander years at the NSA.

So even if we see future documents come out naming names or programs, they
don't necessarily mean what they might say.

-- 
Website: http://hallambaker.com/

---

From: Eliot Lear <[email-masked]>
Date: Tue, 22 Oct 2013 06:13:37 +0200

Phill,

On 10/21/13 10:21 PM, Phillip Hallam-Baker wrote:
>
> Whether we like it or not, this is now part of the distrust landscape
> we have to deal with when designing technical solutions.

I agree with this statement.  It reminds me of a famous statement: trust
but verify.  The only method we have to deal with the sort of
interference we've read about are our open and transparent processes
(it's one of the reasons draft-resnick-consensus is very important, by
the way).  Nobody has anything better to offer, nor will they have.
> If people want technologies like DNSSEC/DANE or RPKI to be deployed in
> practice they are going to have to answer the difficult questions
> about how cryptography is used to concentrate power over the Internet
> infrastructure by a very narrow range of institutions, most of which
> are ultimately under US govt. control.

To this we can only say that if the U.S. attempted to exert that
control, it would be widely noticed, and it would quickly lead to changes.

>
> On past vulnerabilities, it would seem that the NSA has delivered a
> paltry return if very much of that $250mil was spent on subverting
> standards. At best they have one borked random number generator that
> Ferguson spotted was bjorked back in 2007 and Bruce blogged on, a
> couple of PKIX holes that they maybe helped keep open. Thats hardly a
> return on investment to be proud of.

Two things:

1.  $250 million probably doesn't account for everything that was done.
2.  I would expect that this was a relatively small portion of what was
spent.
>
>
> Another hypothesis is that much of that money was spent for the
> purposes it should have been spent on - protecting US cyber
> infrastructure from attack i.e. cyberdefense but that the expenditures
> were written up as cyber attack because that is what was prized during
> the Alexander years at the NSA.

Who knows?  Does it matter from an IETF perspective?  Does it change the
attack surface discussion in a formal sense?

Eliot

---

From: Hannes Tschofenig <[email-masked]>
Date: Tue, 22 Oct 2013 08:14:42 +0200

Hi Eliot, Hi Phillip,

> the way).  Nobody has anything better to offer, nor will they have.

In context of the cryptographic primitives we certainly have relied a 
lot on NIST, which is reflected in the number of presentations at the 
SAAG meetings.

We have made too few attempts to reach out to other communities (if 
those even exist) to hear other views. I once talked to Bart Preneel, 
who is involved in the European crypto community, to attend an IETF 
meeting but (for whatever reason) it didn't work out.

Maybe that's something to think about?

> control, it would be widely noticed, and it would quickly lead to changes.

Although I wasn't at the IAB at that time I recall that the RPKI 
decision for having a single trust anchor was everything but easy.

Here is the IAB statement from that time:
http://www.ietf.org/mail-archive/web/ietf-announce/current/msg07028.html

Maybe Marcelo, who was at the IAB at that time, can say something about 
the discussions.

Ciao
Hannes

---

From: SM <[email-masked]>
Date: Mon, 21 Oct 2013 23:41:13 -0700

Hi Hannes,
At 23:14 21-10-2013, Hannes Tschofenig wrote:
>In context of the cryptographic primitives we certainly have relied 
>a lot on NIST, which is reflected in the number of presentations at 
>the SAAG meetings.
>
>those even exist) to hear other views. I once talked to Bart 
>Preneel, who is involved in the European crypto community, to attend 
>an IETF meeting but (for whatever reason) it didn't work out.
>

There are several governments which rely on NIST.  It's difficult to 
say whether there will be a shift away from that.

In this age of suspicion a single-source provider is not a good 
idea.  If the IETF decides to review and re-review its protocols it 
would be good to have input from other communities (re. what you 
mentioned above).

Regards,
-sm

---

From: Russ Housley <[email-masked]>
Date: Tue, 22 Oct 2013 17:42:08 -0400

Hannes:

> Although I wasn't at the IAB at that time I recall that the RPKI decision for having a single trust anchor was everything but easy.
> 
> Maybe Marcelo, who was at the IAB at that time, can say something about the discussions.

I was on the IAB when this statement was produced, and confidence in the cryptography had nothing to do with the discussion.

The long standing plan for deployment of the RPKI global trust anchor keeps it separate from all of the things that have US Government entanglements.  This decision was made a long time ago, and it remains the correct decision.

IANA administers the pool of IPv4 addresses, IPv6 addresses, and AS numbers, and IANA assigns these resources to the Regional Internet Registries (RIRs) for further assignment within their regions.  Thus, IANA is authoritative about the assignments made to RIRs, and RIRs are authoritative about assignments to the next level.  For this reason, the IAB said:

>  1. the RPKI should have a single authoritative trust anchor
>
>  2. this trust anchor should be aligned with the registry of the root
>    of the allocation hierarchy

The reason for these is included in the statement.

> The reasoning is of a technological nature and is as follows. A
> single root for the certification hierarchy significantly reduces
> the risk of two or more parties accidentally (or maliciously)
> issuing conflicting certifications for the same address block,
> because a single authoritative entity at the top-level of the
> allocation hierarchy is authoritative for both (a) the allocation of
> the address block and (b) the cryptographic certification of the
> fact that it did indeed allocate that address block.
>
> Thus, the IAB strongly recommends a single root aligned with the
> root of the address allocation hierarchy (now part of the IANA
> function). Doing so will minimize unnecessary complexity in the
> system, in particular virtually eliminating the possibility of
> resource conflicts in the system, reducing substantially the
> likelihood of errors as the allocation and certificate generation
> can be done together by the same operator.

Russ

---

From: Stephen Kent <[email-masked]>
Date: Wed, 23 Oct 2013 10:43:02 -0400

SM,

> say whether there will be a shift away from that.
NIST creates standards that are mandatory only for US Gov use. (Even 
then it's standards may be waived by a gov
agency if the agency head believes the costs are too great.) However, I 
agree that NIST crypto standards tend to
be widely adopted by folks around the world on a voluntary basis.
> In this age of suspicion a single-source provider is not a good idea. 
> If the IETF decides to review and re-review its protocols it would be 
> good to have input from other communities (re. what you mentioned above).

The major NIST crypto standards are the result of solicitations that are 
open to the world, at least
in the recent past.AES was developed by two Belgians. SHA-3 is the 
result of work more Belgians.
Should we infer that NSA co-opted theseBelgian crypto experts?

I think it is appropriate to focus on specific NIST crypto standards 
that may have been inappropriately influenced,
rather than assuming that every NIST crypto standard is suspect. So far, 
the only NIST crypto standard I've seen for
which there appears to be an objectively-justified concern is the PRNG 
based on ECC.

Steve

---

From: Nicholas Weaver <[email-masked]>
Date: Wed, 23 Oct 2013 07:47:52 -0700

On Oct 23, 2013, at 7:43 AM, Stephen Kent <[email-masked]> wrote:
> The major NIST crypto standards are the result of solicitations that are open to the world, at least
> in the recent past.AES was developed by two Belgians. SHA-3 is the result of work more Belgians.

Rijndael was accepted unchanged as AES.  Thats why as part of everything, people still trust it.

Keccak however, is being mysteriously changed in the SHA-3 process, which is not inspiring confidence in the process:

https://www.schneier.com/blog/archives/2013/10/will_keccak_sha-3.html

--
Nicholas Weaver                  it is a tale, told by an idiot,
[email-masked]                full of sound and fury,
510-666-2903                                 .signifying nothing
PGP: http://www1.icsi.berkeley.edu/~nweaver/data/nweaver_pub.asc

---

From: Stephen Kent <[email-masked]>
Date: Wed, 23 Oct 2013 11:31:55 -0400

> https://www.schneier.com/blog/archives/2013/10/will_keccak_sha-3.html

I read Bruces's post at the cited URL. The developers of the alg replied:

    EDITED TO ADD (10/5): It's worth reading the response from the
    Keccak team on this issue.
    I misspoke when I wrote that NIST made "internal changes" to the
    algorithm. That was sloppy of me.
    The Keccak permutation remains unchanged. What NIST proposed was
    reducing the hash function's capacity
    in the name of performance. One of Keccak's nice features is that
    it's highly tunable.

    I do not believe that the NIST changes were suggested by the NSA.
    Nor do I believe that the changes
    make the algorithm easier to break by the NSA. I believe NIST made
    the changes in good faith, and
    the result is a better security/performance trade-off. My problem
    with the changes isn't cryptographic,
    it's perceptual. There is so little trust in the NSA right now, and
    that mistrust is reflecting on NIST.
    I worry that the changed algorithm won't be accepted by an
    understandably skeptical security community, and that no one will
    use SHA-3 as a result.

That does not seem consistent with "mysteriously changed."

Steve

---

From: Dave Crocker <[email-masked]>
Date: Wed, 23 Oct 2013 12:28:57 -0400

> Should we infer that NSA co-opted theseBelgian crypto experts?

Since I've never participated in those processes, but did assume that 
the major benefit of open review would be assurance of 'valid' 
operation, I'm left with the conclusion that the compromised algorithms 
did not receive sufficiently diligent review.

Or is there some other aspect of the technology or process that would 
account for the cited algorithm weakness' slipping through?

> which there appears to be an objectively-justified concern is the PRNG

This presumes that we/the-public know the full list of inappropriately 
influenced work and that there is a way of detecting inappropriate 
influence on future work.

Since such monitoring and alerting failed in the past, what will ensure 
its succeeding in the future?

d/
-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net

---

From: Stephen Kent <[email-masked]>
Date: Wed, 23 Oct 2013 13:18:54 -0400

Dave,

The one NIST standard that has been identified as suspect did not follow 
the open solicitation
and review processes to which I alluded.

Steve

---

From: Dave Crocker <[email-masked]>
Date: Wed, 23 Oct 2013 13:25:31 -0400

> and review processes to which I alluded.

Thanks for the clarification; I had obviously missed that rather basic 
point.

A consequence of having /any/ occurrence of undue influence is that it 
tends to prompt a broader concern about the entire process.  Doesn't 
matter whether it should; it does.  The brand is tainted.

So it would probably be helpful for (re-)establishing trust in the 
typical, open NIST process to formulate some sort of affirmative 
analysis of its quality assurances practices and track-record, with a 
specific eye on its prevention of inappropriate influence.

At one level, it's inherent in saying "open", but the details of actual 
practice -- in particular a track record of aggressive and independent 
multi-participant critical review -- would give flesh to the bones of 
saying "open".

d/

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Wed, 23 Oct 2013 14:31:12 -0400

> That does not seem consistent with "mysteriously changed."

It is consistent... the process from a winning cryptographic algorithm
to NIST FIPS standardization is pretty murky, and if you follow the
hash-forum list at NIST, you'd see a lot of hue and cry about the
reduction in capacity of Keccak. Of course, now that the Keccak team
has weighed in, it appears that the eventual SHA-3 FIPS standard will
include one or more high-security modes.

NIST appears to have learned from this that the standardization
process has to be equally as transparent as the
competition/cryptanalysis process. That's a very good thing.

best, Joe

- -- 
Joseph Lorenzo Hall
Chief Technologist
Center for Democracy & Technology
1634 I ST NW STE 1100
Washington DC 20006-4011
(p) 202-407-8825
(f) 202-637-0968
[email-masked]
PGP: https://josephhall.org/gpg-key
fingerprint: BE7E A889 7742 8773 301B 4FA1 C0E2 6D90 F257 77F8

---

From: Hannes Tschofenig <[email-masked]>
Date: Fri, 25 Oct 2013 09:58:37 +0200

> competition/cryptanalysis process. That's a very good thing.

There is still something to learn for NIST when it comes to good 
standardization principles, such as those outlined by OpenStand
http://open-stand.org/principles/

I am sure you have seen the related post from the IAB on this topic:
http://www.iab.org/2013/10/23/comments-from-the-iab-on-nist-sp-800-90a-proceeding/

But it would be unfair to just complain about NIST when many other 
government bodies aren't any better. I will share one story I 
experienced recently with the European Commission (EC) created Network 
and Information Security (NIS) platform. This group was created in 
response to the proposed regulation on CyberSecurity by the EC.

The responsible persons from the EC decided to organize a f2f meeting 
early June to get their work started. Around 150 persons from all 
sectors in the industry showed up to the meeting (mostly from bigger 
cooperations who have public policy people in Brussels) since the 
meeting was announced short notice.

The meeting was lead by Giuseppe Abbamonte and he ran the meeting in the 
style expressed at their webpage: "the Commission will select the 
platform participants, with a view to ensuring a balanced and manageable 
representation of the different stakeholders."

At the end of the meeting he came up with the idea that there should be 
3 groups with maximum 20 persons each and he will nominate the persons 
for those groups.

I dared to suggest to follow a model like in the IETF with open 
participation. He shouted at me and said that this will never happen. 
The argument was that this has never worked in the EC so far.

Of course the folks in the participating people in the room quickly 
noticed that 3x20 by no means leads to 150 and so more than half of the 
participants of the f2f meeting wouldn't be allowed to participate in 
the work. (I ignore those who weren't able to show up at the f2f meeting 
or smaller enterprises who don't have the budget to fly to Brussels just 
to chat.) I am sure most of them had no expectation that it would lead 
to something useful but they at least wanted to follow it and jump it 
when it completely goes into the wrong direction.

An hour later the model was changed and larger groups were allowed; 
that's still far away from an IETF type of participation style.

These are the types of groups who are supposed to develop solutions to 
improve the security of the Internet.

Ciao
Hannes

---

From: "Moriarty, Kathleen" <[email-masked]>
Date: Fri, 25 Oct 2013 09:51:26 -0400

As the final expert reviewer on a fairly recent NIST publication (about 1 year ago), I will attest to their good practices.  They do work on standards collaboratively, take open calls for feedback and then provide responses to those who comment.

I wound up reading the document 5 different times, providing feedback in each instance that was typically accepted and all responses were reasonable.  They do make an effort to find an expert in the area of the standard publication as well.

I did not read the full thread, so sorry if any of this was out-of-context, but I thought the first-hand experience and their use of a final external reviewer might be helpful for some to understand.

Best regards,
Kathleen 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Hannes Tschofenig
Sent: Friday, October 25, 2013 3:59 AM
To: Joseph Lorenzo Hall; Stephen Kent; perpass
Subject: Re: [perpass] Standards in the age of pervasive suspicion

> competition/cryptanalysis process. That's a very good thing.

There is still something to learn for NIST when it comes to good standardization principles, such as those outlined by OpenStand http://open-stand.org/principles/

But it would be unfair to just complain about NIST when many other government bodies aren't any better. I will share one story I experienced recently with the European Commission (EC) created Network and Information Security (NIS) platform. This group was created in response to the proposed regulation on CyberSecurity by the EC.

The responsible persons from the EC decided to organize a f2f meeting early June to get their work started. Around 150 persons from all sectors in the industry showed up to the meeting (mostly from bigger cooperations who have public policy people in Brussels) since the meeting was announced short notice.

The meeting was lead by Giuseppe Abbamonte and he ran the meeting in the style expressed at their webpage: "the Commission will select the platform participants, with a view to ensuring a balanced and manageable representation of the different stakeholders."

At the end of the meeting he came up with the idea that there should be
3 groups with maximum 20 persons each and he will nominate the persons for those groups.

I dared to suggest to follow a model like in the IETF with open participation. He shouted at me and said that this will never happen. 
The argument was that this has never worked in the EC so far.

Of course the folks in the participating people in the room quickly noticed that 3x20 by no means leads to 150 and so more than half of the participants of the f2f meeting wouldn't be allowed to participate in the work. (I ignore those who weren't able to show up at the f2f meeting or smaller enterprises who don't have the budget to fly to Brussels just to chat.) I am sure most of them had no expectation that it would lead to something useful but they at least wanted to follow it and jump it when it completely goes into the wrong direction.

An hour later the model was changed and larger groups were allowed; that's still far away from an IETF type of participation style.

These are the types of groups who are supposed to develop solutions to improve the security of the Internet.

Ciao
Hannes

_______________________________________________
perpass mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/perpass

---

From: Hannes Tschofenig <[email-masked]>
Date: Fri, 25 Oct 2013 16:31:06 +0200

Hi Kathleen,

in my mail below I had shared one example of how the process in other 
parts of the world look like and actually defended NIST to a certain 
extend.

However, I had some experience with NIST myself, for example with the 
NSTIC work. I am sure there are other on the list who have had 
experience with other initiatives, such as the SmartGrid.

Take your experience described below and compare it with the IETF. Have 
your comments been published somewhere and are they accessible to the 
public? What is the decision process for incorporating comments from 
different sources? What is the dispute resolution process?

Ciao
Hannes

On 10/25/2013 03:51 PM, Moriarty, Kathleen wrote:
> As the final expert reviewer on a fairly recent NIST publication
> (about 1 year ago), I will attest to their good practices.  They do
> work on standards collaboratively, take open calls for feedback and
> then provide responses to those who comment.
>
> I wound up reading the document 5 different times, providing feedback
> in each instance that was typically accepted and all responses were
> reasonable.  They do make an effort to find an expert in the area of
> the standard publication as well.
>
> I did not read the full thread, so sorry if any of this was
> out-of-context, but I thought the first-hand experience and their use
> of a final external reviewer might be helpful for some to
> understand.
>
> Best regards, Kathleen
>
> -----Original Message----- From: [email-masked]
> [mailto:[email-masked]] On Behalf Of Hannes Tschofenig
> Sent: Friday, October 25, 2013 3:59 AM To: Joseph Lorenzo Hall;
> Stephen Kent; perpass Subject: Re: [perpass] Standards in the age of
> pervasive suspicion
>
> experienced recently with the European Commission (EC) created
> Network and Information Security (NIS) platform. This group was
> created in response to the proposed regulation on CyberSecurity by
> the EC.
>
> The meeting was lead by Giuseppe Abbamonte and he ran the meeting in
> the style expressed at their webpage: "the Commission will select the
> platform participants, with a view to ensuring a balanced and
> manageable representation of the different stakeholders."
>
> At the end of the meeting he came up with the idea that there should
> be 3 groups with maximum 20 persons each and he will nominate the
> persons for those groups.
>
> participation. He shouted at me and said that this will never
> happen. The argument was that this has never worked in the EC so
> far.
>
> noticed that 3x20 by no means leads to 150 and so more than half of
> the participants of the f2f meeting wouldn't be allowed to
> participate in the work. (I ignore those who weren't able to show up
> at the f2f meeting or smaller enterprises who don't have the budget
> to fly to Brussels just to chat.) I am sure most of them had no
> expectation that it would lead to something useful but they at least
> wanted to follow it and jump it when it completely goes into the
> wrong direction.
>
> Ciao Hannes
> _______________________________________________ perpass mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/perpass
>
> _______________________________________________ perpass mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/perpass
>

---

From: "Moriarty, Kathleen" <[email-masked]>
Date: Fri, 25 Oct 2013 10:46:48 -0400

Hi Hannes,

Good point, the comments as an expert reviewer were not published, nor was the response.  However in the development of the framework from the Cyber Security Executive order, NIST did publish all of the contributions.  I was heavily involved in that for EMC, although I did not have time to attend the workshops that followed.

Responses, I believe, just go directly to the submitter.  We, as a company, have had comments rejected (different document) and have submitted them again for subsequent revisions of the documents.  The explanations were reasonable, although we didn't necessarily agree and the instance I am referring to is not something that would cause a security concern.

The IETF's level of transparency exceeds many other standards development organizations.

Thanks,
Kathleen

-----Original Message-----
From: Hannes Tschofenig [mailto:[email-masked]] 
Sent: Friday, October 25, 2013 10:31 AM
To: Moriarty, Kathleen; Joseph Lorenzo Hall; Stephen Kent; perpass
Subject: Re: [perpass] Standards in the age of pervasive suspicion

Hi Kathleen,

in my mail below I had shared one example of how the process in other parts of the world look like and actually defended NIST to a certain extend.

However, I had some experience with NIST myself, for example with the NSTIC work. I am sure there are other on the list who have had experience with other initiatives, such as the SmartGrid.

Take your experience described below and compare it with the IETF. Have your comments been published somewhere and are they accessible to the public? What is the decision process for incorporating comments from different sources? What is the dispute resolution process?

Ciao
Hannes

On 10/25/2013 03:51 PM, Moriarty, Kathleen wrote:
> of a final external reviewer might be helpful for some to understand.
>
> Best regards, Kathleen
>
> the participants of the f2f meeting wouldn't be allowed to participate 
> in the work. (I ignore those who weren't able to show up at the f2f 
> meeting or smaller enterprises who don't have the budget to fly to 
> Brussels just to chat.) I am sure most of them had no expectation that 
> it would lead to something useful but they at least wanted to follow 
> it and jump it when it completely goes into the wrong direction.
>

---

From: Hannes Tschofenig <[email-masked]>
Date: Fri, 25 Oct 2013 16:56:54 +0200

Hi Kathleen,

as you mentioned, the process used by NIST far exceeds what other 
organizations do today. They also employ a lot of great technical people 
(and we got to know some of them better) and so there is less risk that 
the work goes into a wrong direction. This is the reason why we trusted 
their recommendations.

While there is still room for improvement many other organizations even 
have to get to that level.

I think the OpenStand document is a good template. While it is written 
with a focus on traditional standardization in mind I believe it has 
much broader applicability.

Ciao
Hannes

On 10/25/2013 04:46 PM, Moriarty, Kathleen wrote:
> Hi Hannes,
>
> Good point, the comments as an expert reviewer were not published,
> nor was the response.  However in the development of the framework
> from the Cyber Security Executive order, NIST did publish all of the
> contributions.  I was heavily involved in that for EMC, although I
> did not have time to attend the workshops that followed.
>
> Responses, I believe, just go directly to the submitter.  We, as a
> company, have had comments rejected (different document) and have
> submitted them again for subsequent revisions of the documents.  The
> explanations were reasonable, although we didn't necessarily agree
> and the instance I am referring to is not something that would cause
> a security concern.
>
> Thanks, Kathleen
> -----Original Message----- From: Hannes Tschofenig
> [mailto:[email-masked]] Sent: Friday, October 25, 2013
> 10:31 AM To: Moriarty, Kathleen; Joseph Lorenzo Hall; Stephen Kent;
> perpass Subject: Re: [perpass] Standards in the age of pervasive
> suspicion
>
> Hi Kathleen,
>
> Take your experience described below and compare it with the IETF.
> Have your comments been published somewhere and are they accessible
> to the public? What is the decision process for incorporating
> comments from different sources? What is the dispute resolution
> process?
>
> Ciao Hannes
>
>> (about 1 year ago), I will attest to their good practices.  They
>> do work on standards collaboratively, take open calls for feedback
>> and then provide responses to those who comment.
>>
>> I wound up reading the document 5 different times, providing
>> feedback in each instance that was typically accepted and all
>> responses were reasonable.  They do make an effort to find an
>> expert in the area of the standard publication as well.
>>
>> out-of-context, but I thought the first-hand experience and their
>> use of a final external reviewer might be helpful for some to
>> understand.
>>
>> Best regards, Kathleen
>>
>> Stephen Kent; perpass Subject: Re: [perpass] Standards in the age
>> of pervasive suspicion
>>
>> http://www.iab.org/2013/10/23/comments-from-the-iab-on-nist-sp-800-90a
>>
>>
-proceeding/
>> The responsible persons from the EC decided to organize a f2f
>> meeting early June to get their work started. Around 150 persons
>> from all sectors in the industry showed up to the meeting (mostly
>> from bigger cooperations who have public policy people in Brussels)
>> since the meeting was announced short notice.
>>
>> The meeting was lead by Giuseppe Abbamonte and he ran the meeting
>> in the style expressed at their webpage: "the Commission will
>> select the platform participants, with a view to ensuring a
>> balanced and manageable representation of the different
>> stakeholders."
>>
>> At the end of the meeting he came up with the idea that there
>> should be 3 groups with maximum 20 persons each and he will
>> nominate the persons for those groups.
>>
>> Of course the folks in the participating people in the room
>> quickly noticed that 3x20 by no means leads to 150 and so more than
>> half of the participants of the f2f meeting wouldn't be allowed to
>> participate in the work. (I ignore those who weren't able to show
>> up at the f2f meeting or smaller enterprises who don't have the
>> budget to fly to Brussels just to chat.) I am sure most of them had
>> no expectation that it would lead to something useful but they at
>> least wanted to follow it and jump it when it completely goes into
>> the wrong direction.
>>
>> An hour later the model was changed and larger groups were
>> allowed; that's still far away from an IETF type of participation
>> style.
>>
>> _______________________________________________ perpass mailing
>> list [email-masked]
>> _______________________________________________ perpass mailing
>> list [email-masked]

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Fri, 25 Oct 2013 11:49:19 -0400

The problem created here is likely limited to perception. But that is
still a big problem if the result is we end up having to contend with
multiple national standards.

We need to think about protocol design in a different way and instead
of asking if something is 'sufficient' look at multiple layers of
protection that provide sufficient strength even with compromises of
some components.

Sent from my difference engine

> On Oct 23, 2013, at 2:31 PM, Joseph Lorenzo Hall <[email-masked]> wrote:
>
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA256
>
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.13 (Darwin)
> Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/
>
> iEYEAREIAAYFAlJoFfAACgkQwOJtkPJXd/gbPgCeJfMqOD+LE6JyxEiv5T1Pzr3J
> sv8AoIKcHCx6Ph3YAdUnYIkGBI0i4Kl0
> =Xecl
> -----END PGP SIGNATURE-----
>